
%F,15,GLOSS.A%A  %F,15,GLOSS.B%B  %F,15,GLOSS.C%C  %F,15,GLOSS.D%D  %F,15,GLOSS.E%E  %F,15,GLOSS.F%F  %F,15,GLOSS.G%G  %F,15,GLOSS.H%H  %F,15,GLOSS.I%I  %F,15,GLOSS.K%K  %F,15,GLOSS.L%L  %F,15,GLOSS.M%M                    %C,1%GLOSSARY
%F,15,GLOSS.N%N  %F,15,GLOSS.O%O  %F,15,GLOSS.P%P  %F,15,GLOSS.Q%Q  %F,15,GLOSS.R%R  %F,15,GLOSS.S%S  %F,15,GLOSS.T%T  %F,15,GLOSS.U%U  %F,15,GLOSS.V%V  %F,15,GLOSS.W%W  %F,15,GLOSS.Z%Z                              %C,1%C
%F,15,GLOSS.B%Previous / %F,15,GLOSS.D%Next

%C,14%C LANGUAGE
A general-purpose programming language.  The syntax of the C++
language is based on the syntax of the C++ language.

%C,14%C LIBRARY
A system library that contains common C language subroutines for
file access, string operators, character operations, memory
allocation, and other functions.

%C,14%C++ LANGUAGE
A general-purpose programming language that is based on the C
language.  C++ allow for the definition of data types called
classes and supports many concepts of object-oriented programming.

%C,14%C++ LANGUAGE STATEMENT
A C++ language statement contains zero or more expressions.  All
C++ language statements, except block statements, end with a ;,
semicolon, symbol.  A block statement begins with a {,left brace,
symbol, ends with a }, right brace, symbol, and contains any
number of statements.

%C,14%C++ LIBRARY
A system library that contains common C++ language subroutines for
file access, memory allocation, and other functions.

%C,14%C++ CLASS LIBRARY
See %F,15,GLOSS.C#classlib%class_library%C,5%.

%C,14%CASE CLAUSE
In a %F,15,GLOSS.S#switch%switch statement, a case label followed
by any number of statements.
%#casel%
%C,14%CASE LABEL
The keyword case followed by a constant expression and a colon.
If the condition in the switch statement has the same value as the
case label constant expression, the statements following the case
label are processed.

%C,14%CAST EXPRESSION
A cast expression explicitly converts its operand to a specified
arithmetic, scalar, or class, or reference type.

%C,14%CAST OPERATOR
The cast operator is used for explicit type conversions.
%#catch%
%C,14%CATCH BLOCK
A block associated with a try block that receives control when an
exception matching its argument is thrown.

%C,14%CHAR SPECIFIER
A char is a %F,15,GLOSS.B#bdatatyp%built-in_data_type%C,5%.  In C++, char, signed
char, and unsigned char are three distinct data types.

%C,14%CHARACTER CONSTANT
A character or an %F,15,GLOSS.E#escseq%escape_sequence enclosed in single
quotation marks.

%C,14%CHARACTER SET
A group of characters used for a specific reason; for example, the
set of characters a printer can print or a keyboard can support.

%C,14%CHARACTER VARIABLE
A data object whose value can be changed during program execution
and whose data type is char, signed char, or unsigned char.
%#class%
%C,14%CLASS
A class is a user-defined data type.  A class data type can contain
both data representations, %F,15,GLOSS.D#datamem%data_members%C,5%, and functions,
%F,15,GLOSS.M#memfunc%member_functions%C,5%.

%C,14%CLASS KEY
One of the C++ keywords:  class, struct and union.
%#classlib%
%C,14%CLASS LIBRARY
A collection of C++ classes.

%C,14%CLASS MEMBER OPERATORS
Used to access class members through class objects or pointers to
class objects.  They are:    .    ->     .*    ->*
%#cname%
%C,14%CLASS NAME
A unique identifier that names a class type and becomes a
reserved word within its scope.

%C,14%CLASS SCOPE
The names of class members have class scope.

%C,14%CLASS TAG
See %F,15,GLOSS.C#cname%class_name%C,5%.
%#classt%
%C,14%CLASS TEMPLATE
A blueprint describing how a set of related classes can be
constructed.
%#clientcd%
%C,14%CLIENT CODE
A program or part of a program that uses a class or library
function.  The class or library is said to have a %F,15,GLOSS.C#contract%contract with
the client code.

%C,14%COLLATING SEQUENCE
A specified arrangement for the order of characters in a character
set.  The collating sequence for characters is ASCII.

%C,14%COMMA EXPRESSION
An expression that contains two operands separated by a comma.
Although the compiler evaluates both operands, the value of the
expression is the value of the right operand.  If the left operand
produces a value, the compiler discards this value.  Typically, the
left operand of a comma expression is used to produce side effects.

%C,14%COMMAND
A request to perform an operation or run a program.  When
parameters, arguments, flags, or other operands are associated with
a command, the resulting character string is a single command.

%C,14%COMMENT
A language construct for the inclusion of text in a program that
has no impact on the execution of the program.  Comments can begin
with // (two slash characters) and continue to the end of the line
or begin with the /* characters, end with the */ characters, and
span any number of lines.  Comments cannot be nested.

%C,14%COMPILATION TIME
The time during which a source program is translated from a
high-level language, such as the C++ language, into a machine
language.

%C,14%COMPILATION UNIT
A single compiled file and all its associated %F,15,GLOSS.I#include%include_files%C,5%.

%C,14%COMPILE
To transform a source file into an executable object file.

%C,14%COMPILER
A program that translates instructions written in a high-level
programming language, such as the C++ language, into a machine
language.

%C,14%COMPILER-SUPPLIED CONSTRUCTOR
A default constructor provided by the compiler when a constructor
with no explicit arguments is not included in a class definition.
This constructor is called implicitly by the compiler in some
circumstances when an object of a class is declared.

%C,14%COMPILER-SUPPLIED DESTRUCTOR
A default destructor provided by the compiler when a destructor is
not included in a class definition.  This destructor is called
implicitly by the compiler in some circumstances when a class
object goes out of scope.

%C,14%COMPLETE CLASS NAME
The complete qualification of a %F,15,GLOSS.N#nclass%nested_class name including
all enclosing class names.

%C,14%COMPLEX MATHEMATICS LIBRARY
A class library that provides the facilities to manipulate complex
numbers and perform standard mathematical operations on them.

%C,14%COMPLEX NUMBER
A complex number is made up of two parts:  a real part and an
imaginary part.  A complex number can be represented by an ordered
pair (a, b), where a is the value of the real part and b is the
value of the imaginary part.  The same complex number could also be
represented as a + bi, where i is the square root of -1.

%C,14%CONDITION
An expression that can be evaluated to a value of either true or
false when a program is compiled or run.

%C,14%CONDITIONAL COMPILATION STATEMENT
A preprocessor statement that causes the preprocessor to include
specified C++ source code in the file depending on the evaluation
of a specific condition.

%C,14%CONDITIONAL EXPRESSION
A compound expression that contains three expressions.  The first
expression is a condition.  The second expression is evaluated if
the condition has a nonzero value.  The third expression
expression is be evaluated if the condition has the value zero.

%C,14%CONST
A keyword used to declare an object whose value does not change.
%#constant%
%C,14%CONSTANT
A data item with a value that does not change during program
execution.

%C,14%CONSTANT EXPRESSION
An expression having a value that can be determined during
compilation and that does not change during program execution.
%#const%
%C,14%CONSTRUCTOR
A special class member function that has the same name as the
class.  It creates class objects and may initialize them.

%C,14%CONTAINER CLASS
A class that holds a number of objects.  Such a class is
often used to implement constructs such as stacks, lists,
collections or sets.

%C,14%CONTAINMENT
Inclusion of %F,15,GLOSS.M#member%members in a class definition,
so that data and functions are held inside the class.
%#contract%
%C,14,%CONTRACT
The responsibility of a class to meet output expectations of its
client code, provided that the client correctly supplies input
specifications.  A contract exists between the class and the
%F,15,GLOSS.C#clientcd%client_code%C,5%.

%C,14%CONTROL STATEMENT
A C++ language statement that changes the normal path of execution.
%#conversn%
%C,14%CONVERSION
A change in the type of a value.  For example, when you add values
that have different %F,15,GLOSS.S#scalar%scalar data types, the
compiler converts both values to the same type before adding them.

%C,14%CONVERSION BASE
The setting in the %F,15,GLOSS.F#formatst%format_state that determines if
integers should be interpreted as decimal, octal, or
hexadecimal values.

%C,14%CONVERSION FUNCTION
A member function that specifies a conversion from its class type
to another type.

%C,14%COPY CONSTRUCTOR
A constructor used to make a copy of a class object from another
class object of the same class type.

%F,15,GLOSS.B%Previous / %F,15,GLOSS.D%Next
%F,15,GLOSS.A%A  %F,15,GLOSS.B%B  %F,15,GLOSS.C%C  %F,15,GLOSS.D%D  %F,15,GLOSS.E%E  %F,15,GLOSS.F%F  %F,15,GLOSS.G%G  %F,15,GLOSS.H%H  %F,15,GLOSS.I%I  %F,15,GLOSS.K%K  %F,15,GLOSS.L%L  %F,15,GLOSS.M%M
%F,15,GLOSS.N%N  %F,15,GLOSS.O%O  %F,15,GLOSS.P%P  %F,15,GLOSS.Q%Q  %F,15,GLOSS.R%R  %F,15,GLOSS.S%S  %F,15,GLOSS.T%T  %F,15,GLOSS.U%U  %F,15,GLOSS.V%V  %F,15,GLOSS.W%W  %F,15,GLOSS.Z%Z
