
%F,15,GLOSS.A%A  %F,15,GLOSS.B%B  %F,15,GLOSS.C%C  %F,15,GLOSS.D%D  %F,15,GLOSS.E%E  %F,15,GLOSS.F%F  %F,15,GLOSS.G%G  %F,15,GLOSS.H%H  %F,15,GLOSS.I%I  %F,15,GLOSS.K%K  %F,15,GLOSS.L%L  %F,15,GLOSS.M%M                    %C,1%GLOSSARY
%F,15,GLOSS.N%N  %F,15,GLOSS.O%O  %F,15,GLOSS.P%P  %F,15,GLOSS.Q%Q  %F,15,GLOSS.R%R  %F,15,GLOSS.S%S  %F,15,GLOSS.T%T  %F,15,GLOSS.U%U  %F,15,GLOSS.V%V  %F,15,GLOSS.W%W  %F,15,GLOSS.Z%Z                              %C,1%D
%F,15,GLOSS.C%Previous / %F,15,GLOSS.E%Next

%C,14%DATA ABSTRACTION
See %F,15,GLOSS.A#abstdat%abstraction%C,5%.

%C,14%DATA DEFINITION
A program statement that describes the features of, specifies
relationships of, or establishes the context of, data.  A data
definition can also provide an initial value.  Definitions appear
outside a function (for example at file scope) or within a block
statement.
%#datamem%
%C,14%DATA MEMBER
An object that is contained or declared within a class definition,
that occupies storage when the %F,15,GLOSS.C#class%class is instantiated, and upon
which operations are performed.  See also %F,15,GLOSS.M#memfunc%member_function%C,5%.

%C,14%DATA OBJECT
Anything that exists in storage and on which operations can be
performed, such as files, programs, arrays, or classes.
%#dattyp%
%C,14%DATA TYPE
A category that specifies the interpretation of a data object such
as its mathematical qualities and internal representation.
See also %F,15,GLOSS.B#bdatatyp%built-in_data_type%C,5%, %F,15,GLOSS.F#fdatatyp%fundamental_data_type%C,5%, and
%F,15,GLOSS.D#ddatatyp%derived_data_type%C,5%.

%C,14%DEBUG
To detect, locate, and correct errors in a program.

%C,14%DECIMAL
Pertaining to a system of numbers to the base 10.  The decimal
digits range from 0 through 9.

%C,14%DECIMAL CONSTANT
A number containing any digits 0 through 9 that does not begin
with 0 (zero).

%C,14%DECLARATION
Establishes the names and characteristics of data objects and
functions used in a program.

%C,14%DECLARATOR
Designates a data object or function declared.  Initializations can
be performed in a declarator of an object.
%#default%
%C,14%DEFAULT
A value, attribute, or option that is assumed when no alternative
is specified by the programmer.

%C,14%DEFAULT ARGUMENT
An argument that is declared with a default value in a function
prototype or declaration.  If a call to the function omits these
arguments, default values are used.  Arguments with default
values must be the trailing arguments in a function prototype
argument list.

%C,14%DEFAULT CLAUSE
in a %F,15,GLOSS.S#switch%switch statement, the keyword default followed by a colon,
and one or more statements.  When the conditions of the specified
%F,15,GLOSS.C#casel%case_labels in the switch statement do not hold, the default
clause is chosen.

%C,14%DEFAULT CONSTRUCTOR
A constructor that takes no arguments, or if it takes any
arguments, all its arguments have default values.

%C,14%DEFAULT INITIALIZATION
The initial value assigned to a data object by the compiler if no
initial value is specified by the programmer.   extern and static
variables receive a default initialization of zero, while the
default initial value for auto and register variables is undefined.
See also %F,15,GLOSS.S#storclsp%storage_class_specifier%C,5%.
%#defval%
%C,14%DEFAULT VALUE
A value stored in the system that is used when no other value is
specified.  See also %F,15,GLOSS.D#default%default%C,5%.
%#define%
%C,14%DEFINE STATEMENT
A preprocessor statement that associates an identifier or macro
with corresponding code.

%C,14%DEFINITION
A declaration that allocates storage, and may initialize a data
object or specify the body of a function.

%C,14%DELETE
The keyword delete identifies a free store deallocation
operator.  The delete operator is used to destroy objects
created by the new operator.

%C,14%DEMANGLING
The decoding of names that have been encoded during compilation
to re-create the original source code names.  During compilation,
identifiers such as function and static class member names are
%F,15,GLOSS.M#mangle%mangled with type and scoping information.
%#demotion%
%C,14%DEMOTION
A conversion from one data type another where at least one value
of the source type cannot be represented the destination type.  A
conversion from double to int is an example of demotion.

%C,14%DERIVATION
In C++, to create a class, called a derived class, by building
upon an existing class, called a base class.
%#derive%
%C,14%DERIVED CLASS
A class that inherits members from a %F,15,GLOSS.B#base%base_class%C,5%.  You can add
additional data members and member functions to the derived class.
A derived class object can be manipulated as if it is a base class
object.  The derived class can override %F,15,GLOSS.V#virtual%virtual_functions of the
base class.
%#ddatatyp%
%C,14%DERIVED DATA TYPE
A data type that is constructed from the %F,15,GLOSS.F#fdatatyp%fundamental_data_types%C,5%.
Derived types include arrays, functions, pointers, references,
constants, classes, and pointers to class members.  Derived
classes are not a derived data type.
%#destrt%
%C,14%DESTRUCTOR
A special member function of a class with the same name as the
class with a ~,tilde, preceding the name.  You cannot specify
arguments or a return type for this function.  A destructor cleans
up after an object by doing such things as freeing any storage
that was dynamically allocated when the object was created.

%C,14%DIGIT
Any of the numerals from 0 through 9.

%C,14%DIRECTORY
A type of file containing the names and controlling information for
other files or other directories.

%C,14%DO STATEMENT
A looping statement that contains the keyword do followed by a
statement that is the action, and the keyword while followed by
an expression in parentheses.  The expression is the condition
that determines the number of times the action is performed.

%C,14%DOUBLE PRECISION
The use of two computer words to represent a number with greater
accuracy than is sometimes possible than with %F,15,GLOSS.S#single%single_precision%C,5%.

%C,14%DYNAMIC BINDING
The ability that C++ has to determine at run time which definition
of a virtual function should be called.

%F,15,GLOSS.C%Previous / %F,15,GLOSS.E%Next
%F,15,GLOSS.A%A  %F,15,GLOSS.B%B  %F,15,GLOSS.C%C  %F,15,GLOSS.D%D  %F,15,GLOSS.E%E  %F,15,GLOSS.F%F  %F,15,GLOSS.G%G  %F,15,GLOSS.H%H  %F,15,GLOSS.I%I  %F,15,GLOSS.K%K  %F,15,GLOSS.L%L  %F,15,GLOSS.M%M
%F,15,GLOSS.N%N  %F,15,GLOSS.O%O  %F,15,GLOSS.P%P  %F,15,GLOSS.Q%Q  %F,15,GLOSS.R%R  %F,15,GLOSS.S%S  %F,15,GLOSS.T%T  %F,15,GLOSS.U%U  %F,15,GLOSS.V%V  %F,15,GLOSS.W%W  %F,15,GLOSS.Z%Z
