
%F,15,GLOSS.A%A  %F,15,GLOSS.B%B  %F,15,GLOSS.C%C  %F,15,GLOSS.D%D  %F,15,GLOSS.E%E  %F,15,GLOSS.F%F  %F,15,GLOSS.G%G  %F,15,GLOSS.H%H  %F,15,GLOSS.I%I  %F,15,GLOSS.K%K  %F,15,GLOSS.L%L  %F,15,GLOSS.M%M                    %C,1%GLOSSARY
%F,15,GLOSS.N%N  %F,15,GLOSS.O%O  %F,15,GLOSS.P%P  %F,15,GLOSS.Q%Q  %F,15,GLOSS.R%R  %F,15,GLOSS.S%S  %F,15,GLOSS.T%T  %F,15,GLOSS.U%U  %F,15,GLOSS.V%V  %F,15,GLOSS.W%W  %F,15,GLOSS.Z%Z                              %C,1%F
%F,15,GLOSS.E%Previous / %F,15,GLOSS.G%Next
%#field%
%C,14%FIELD
A member in a set of data items.  This term is used mostly for
databases that are organized into %F,15,GLOSS.R#record%records and fields.  However, it
can be applied to the members of any data structure.

%C,14%FILE
A collection of related data that is stored and retrieved by an
assigned name.

%C,14%FILE NAME
The name used by a program to identify a file.
%#filesco%
%C,14%FILE SCOPE
A name declared outside all blocks and classes has file scope and
can be used after the point of declaration in a source file.

%C,14%FLOAT CONSTANT
A number containing a decimal point, an exponent, or both a decimal
point and an exponent.  The exponent contains an E or e, an
optional sign, + or -, and one or more digits, 0 1 2 3 4 5 6 7 8 9.

%C,14%FLOATING TYPE
A type that can contain a floating-point value.  These types include
float, double, and long double.

%C,14%FLUSH BUFFER
A process that removes the contents of a %F,15,GLOSS.B#buffer%buffer%C,5%.  After a buffer
flush, the buffer is empty.

%C,14%FOR STATEMENT
A looping statement that contains the keyword for followed by a
list of expressions enclosed in parentheses and a statement.  The
expressions in parentheses are the condition controlling the
number of iterations, and are separated by a semicolon.  You can
omit any of the expressions, but you cannot omit the semicolons.
The statement is the action performed on each pass through the
loop.
%#formal%
%C,14%FORMAL ARGUMENT
The argument that appears in the prototype of a function.
%#formatst%
%C,14%FORMAT STATE
A set of attributes that belong to each object of the stream
classes.  The format state of an object specifies how values
are represented in the stream.  The format state specifies
such characteristics as how integer values are represented,
the notation of floating-point values, and the width of fields.

%C,14%FREE STORE
Dynamically allocates memory.  The operators new and delete are
used to allocate and deallocate free store.

%C,14%FRIEND CLASS
A class in which all the member functions are granted access to
the private and protected members of another class.  It is named
in the definition of another class.  There, the keyword friend
precedes the declaration of the friend class.  For example,

 %C,1%class %C,5%Me %C,1%{
   %C,1%friend class %C,5%You%C,1%;
    %C,14%// ...
 %C,1%};

makes all the functions in class You friends of class Me.

%C,14%FRIEND FUNCTION
A function that is granted access to the private and protected
members of a class.  It is named in the definition of the class.
There, the keyword friend preceeds the declaration of the friend
function.

%C,14%FUNCTION
A named group of statements that can be invoked and evaluated and
can return a value to the calling statement.

%C,14%FUNCTION CALL
An expression that moves the path of execution from the current
function to a specified function and evaluates to the return value
provided by the called function.  A function call contains the name
of the function to which control moves and a parenthesized list of
arguments.

%C,14%FUNCTION DECLARATOR
The part of a function definition that names the function, provides
additional information about the return value of the function, and
lists the function parameters.

%C,14%FUNCTION DEFINITION
The complete description of a function.  A function definition
contains a function declarator that is the header of the function,
and a block statement that is the body of the function.
%#funcp%
%C,14%FUNCTION PROTOTYPE
A function declaration that provides type information for each
parameter.  It is the first line of the function, the header,
followed by a ;, semicolon.  A prototype is used by the compiler
when the function will be defined later for type checking on
function calls.

%C,14%FUNCTION SCOPE
Labels that are declared in a function have function scope and can
be used anywhere in that function.
%#funcs%
%C,14%FUNCTION SIGNATURE
The order of parameters and type of each parameter of a function,
as established by the function declaration.  It is used by the
compiler to resolve ambiguous function names, by matching with the
arguments in a function call.

%C,14%FUNCTION TEMPLATE
Provides a blueprint describing how a set of related individual
functions can be constructed.
%#fdatatyp%
%C,14%FUNDAMENTAL DATA TYPE
The following are fundamental data types:  char, short, int, long,
float, double, long double.  The character and integer types can
be signed or unsigned.  The largest and smallest value for an
object of one of these types is listed in the file LIMITS.H.

%F,15,GLOSS.E%Previous / %F,15,GLOSS.G%Next
%F,15,GLOSS.A%A  %F,15,GLOSS.B%B  %F,15,GLOSS.C%C  %F,15,GLOSS.D%D  %F,15,GLOSS.E%E  %F,15,GLOSS.F%F  %F,15,GLOSS.G%G  %F,15,GLOSS.H%H  %F,15,GLOSS.I%I  %F,15,GLOSS.K%K  %F,15,GLOSS.L%L  %F,15,GLOSS.M%M
%F,15,GLOSS.N%N  %F,15,GLOSS.O%O  %F,15,GLOSS.P%P  %F,15,GLOSS.Q%Q  %F,15,GLOSS.R%R  %F,15,GLOSS.S%S  %F,15,GLOSS.T%T  %F,15,GLOSS.U%U  %F,15,GLOSS.V%V  %F,15,GLOSS.W%W  %F,15,GLOSS.Z%Z
