
%F,15,GLOSS.A%A  %F,15,GLOSS.B%B  %F,15,GLOSS.C%C  %F,15,GLOSS.D%D  %F,15,GLOSS.E%E  %F,15,GLOSS.F%F  %F,15,GLOSS.G%G  %F,15,GLOSS.H%H  %F,15,GLOSS.I%I  %F,15,GLOSS.K%K  %F,15,GLOSS.L%L  %F,15,GLOSS.M%M                    %C,1%GLOSSARY
%F,15,GLOSS.N%N  %F,15,GLOSS.O%O  %F,15,GLOSS.P%P  %F,15,GLOSS.Q%Q  %F,15,GLOSS.R%R  %F,15,GLOSS.S%S  %F,15,GLOSS.T%T  %F,15,GLOSS.U%U  %F,15,GLOSS.V%V  %F,15,GLOSS.W%W  %F,15,GLOSS.Z%Z                              %C,1%I
%F,15,GLOSS.H%Previous / %F,15,GLOSS.K%Next

%C,14%I/O STREAM LIBRARY
A collection of classes that provides input and output facilities
for C++ programs.

%C,14%IDENTICAL FUNCTIONS
Two functions that have the same return type and argument list.

%C,14%IDENTIFIER
A name that refers to C++ entity, such as an object, a class or a
function.  An identifier contains some combination of letters,
digits, and underscores.  Its first character cannot be a digit.
%#if%
%C,14%IF STATEMENT
A conditional statement that contains the keyword if followed by
an expression in parentheses, a statement, and an optional else
clause.  The expression in parentheses is a condition, the value
of which determines whether the statement or the %F,15,GLOSS.E#else%else_clause%C,5%, if
present, is executed.

%C,14%IMPLICIT CONVERSION
See %F,15,GLOSS.A#autoconv%automatic_conversion%C,5%.
%#include%
%C,14%INCLUDE FILE
A text file that contains declarations used by a group of
functions, programs, or users.  Also known as a header file.

%C,14%INCLUDE STATEMENT
A preprocessor statement that causes the preprocessor to replace
the statement with the contents of a specified file.

%C,14%INCOMPLETE CLASS DECLARATION
A class declaration that does not define any members of a class.
Until a class is fully declared, or defined, you can only use the
class name where the size of the class is not required.  Typically,
an incomplete class declaration is used as a forward declaration.
%#inher%
%C,14%INHERITANCE
An object-oriented programming technique that allows you to use
existing classes as bases for creating other classes.

%C,14%INITIALIZE
To set the starting value of a data object.

%C,14%INITIALIZER
An expression used to initialize data objects.
%#inlfunc%
%C,14%INLINE FUNCTION
Inlining is a hint to the compiler to perform inline expansion of
the body of a function.  Functions declared and defined
simultaneously in a class definition are inline.  You can also
explicitly declare a function inline by using the keyword inline.

%C,14%INPUT
Data to be processed.

%C,14%INPUT OPERATOR >>
A binary operator that is overloaded to perform input operations
by the I/O Stream Library.  The input operator extracts characters
from its first operand, converts these characters to the type of
its second operand, and assigns this value to its second operand.
This operator is also called the get-from operator or the
extraction operator.

%C,14%INSERTION
In C++ I/O, the process of putting characters into a stream.
%#instance%
%C,14%INSTANCE
An object-oriented programming term synonymous with object.  An
instance is a particular instantiation of a data type.  It is
simply a region of storage that contains a value or group of
values.  For example, if a class Box is previously defined, two
instances of a class Box could be created with the declaration:

  %C,5%box box1%C,1%, %C,5%box2%C,1%;

%C,14%INSTANTIATE
To create or generate a particular instance, or object, of a data
type.  For example, an instance "box1" of class Box could be
created with the declaration:

  %C,5%box box1%C,1%;

%C,14%INSTRUCTION
A program statement that specifies an operation to be performed by
the computer, along with the values or locations of operands.  This
statement represents the programmer's request to the processor to
perform a specific operation.

%C,14%INTEGER
A positive or negative whole number or zero.

%C,14%INTEGER CONSTANT
A decimal, octal, or hexadecimal constant.

%C,14%INTEGRAL OBJECT
A character object, an object having integral type, or an object
that is a bit field.

%C,14%INTEGRAL PROMOTION
The conversion that an operator performs on an operand that is a
char, short, int, enumerator, object of enumeration type, or int
bit-field.  The operator converts the operand to int if int can
represent any value of the original type of the operand.
Otherwise, the operand is converted to unsigned int.

%C,14%INTEGRAL TYPE
A type that can contain an integer value.  These types include
char, short, int, long, their signed and unsigned variations, and
enumerations.

%C,14%ITERATOR
A class or function defined for the specific purpose of accessing
each element in a container class in turn.

%F,15,GLOSS.H%Previous / %F,15,GLOSS.K%Next
%F,15,GLOSS.A%A  %F,15,GLOSS.B%B  %F,15,GLOSS.C%C  %F,15,GLOSS.D%D  %F,15,GLOSS.E%E  %F,15,GLOSS.F%F  %F,15,GLOSS.G%G  %F,15,GLOSS.H%H  %F,15,GLOSS.I%I  %F,15,GLOSS.K%K  %F,15,GLOSS.L%L  %F,15,GLOSS.M%M
%F,15,GLOSS.N%N  %F,15,GLOSS.O%O  %F,15,GLOSS.P%P  %F,15,GLOSS.Q%Q  %F,15,GLOSS.R%R  %F,15,GLOSS.S%S  %F,15,GLOSS.T%T  %F,15,GLOSS.U%U  %F,15,GLOSS.V%V  %F,15,GLOSS.W%W  %F,15,GLOSS.Z%Z
