
%F,15,GLOSS.A%A  %F,15,GLOSS.B%B  %F,15,GLOSS.C%C  %F,15,GLOSS.D%D  %F,15,GLOSS.E%E  %F,15,GLOSS.F%F  %F,15,GLOSS.G%G  %F,15,GLOSS.H%H  %F,15,GLOSS.I%I  %F,15,GLOSS.K%K  %F,15,GLOSS.L%L  %F,15,GLOSS.M%M                    %C,1%GLOSSARY
%F,15,GLOSS.N%N  %F,15,GLOSS.O%O  %F,15,GLOSS.P%P  %F,15,GLOSS.Q%Q  %F,15,GLOSS.R%R  %F,15,GLOSS.S%S  %F,15,GLOSS.T%T  %F,15,GLOSS.U%U  %F,15,GLOSS.V%V  %F,15,GLOSS.W%W  %F,15,GLOSS.Z%Z                              %C,1%P
%F,15,GLOSS.O%Previous / %F,15,GLOSS.Q%Next

%C,14%PAD
To fill unused positions in a field with dummy data, usually zeros,
ones, or blanks.

%C,14%PARADIGM
An clear pattern, typical example, or archetype.
%#pararray%
%C,14%PARALLEL ARRAYS
Two or more arrays of the same size, in which the elements
sharing the same subscript have a relationship.  Contrast with
%F,15,GLOSS.A#asarray%associative_array%C,5%.

%C,14%PARAMETER
Data received by a function when the function is called.  See
%F,15,GLOSS.A#argument%argument%C,5%.
%#parad%
%C,14%PARAMETER DECLARATION
A description of a value that a function receives.  A parameter
declaration determines the storage class and the data type of the
value.

%C,14%PARAMETERIZED TYPE
A %F,15,GLOSS.D#dattyp%data_type that can vary.  In C++, parameterized types
can appear in templates.  When a definition containing such a
type is used to create an object or a function, a specific type
replaces the parameterized type.

%#paren%
%C,14%PARENTHESES
The characters  (, open parenthesis, and  ), close parenthesis.
See also %F,15,GLOSS.B#brackets%brackets and %F,15,GLOSS.B#braces%braces%C,15%.

%C,14%POINTER
A variable that holds the address of a data object or function.

%C,14%POINTER TO MEMBER
Used to access the address of nonstatic members of a class.

%C,14%POLYMORPHIC FUNCTIONS
Functions that can be applied to objects of more than one data
type.  C++ implements polymorphic functions in two ways:
1) %F,15,GLOSS.O#overld%Overloading functions -- calls are resolved at compile time
2) %F,15,GLOSS.V#virtual%Virtual_functions -- calls are resolved at run-time.
Using polymorphic functions does not always mean implementing
polymorphism.

%C,14%POLYMORPHISM
The ability to treat objects of different %F,15,GLOSS.D#derive%derived_classes
as if they were all objects of their common %F,15,GLOSS.B#base%base_class%C,5%.
Some authoritis of object-oriented programming prefer a broader
definition that includes the ability to associate more than one
signature with a function name.

%#postfix%
%C,14%POSTFIX OPERATOR
An operator that follows its operands and indicates the operation
to be performed on the operands or intermediate results that
precede it.  See also %F,15,GLOSS.P#prefix%prefix_operator%C,5%.

%C,14%PRECEDENCE
The priority system for grouping different types of operators with
their operands.

%C,14%PRECISION
A measure of the ability to distinguish between nearly equal
values.  See %F,15,GLOSS.S#single%single_precision and %F,15,GLOSS.D#double%double_precision%C,5%.
%#prefix%
%C,14%PREFIX OPERATOR
An operator that precedes its operands and indicates the operation
to be performed on the operands or intermediate results that
follow it.  See also %F,15,GLOSS.P#postfix%postfix_operator%C,5%.

%C,14%PREPROCESSOR
A program that examines the source program for preprocessor
statements that are then interpreted, resulting in the alteration
of the source program.

%C,14%PREPROCESSOR DIRECTIVE
A statement that begins with the pound sign, #, and contains
instructions that the preprocessor interprets.

%C,14%PRIMARY EXPRESSION
Literals, names, and names qualified by the %F,15,GLOSS.S#scopeop%scope_operator%C,5%, ::.

%C,14%PRIVATE
A private member of a class is only accessible to member functions
and friends of that class.

%C,14%PRIVATE INHERITANCE
Occurs when a class is %F,15,GLOSS.D#derive%derived from another class, and the
access level specified for the %F,15,GLOSS.B#base%base_class in the definition
of the derived class is private.

%C,14%PROGRAM
One or more files containing a set of instructions that conform to
a particular programming language syntax.
%#promotn%
%C,14%PROMOTION
A conversion from one data type to another data type where all of
the values of the source type can be represented in the
destination type.  A conversion from int to double is an example
of a promotion.

%C,14%PROTECTED
A protected member of a class is accessible to member functions and
friends of that class, or member functions and friends of classes
derived from that class.

%C,14%PROTECTED INHERITANCE
Occurs when a class is %F,15,GLOSS.D#derive%derived from another class, and the
access level specified for the %F,15,GLOSS.B#base%base_class in the definition of
the derived class is protected.

%C,14%PROTOTYPE
See %F,15,GLOSS.F#funcp%function_prototype%C,5%.

%C,14%PROTOTYPING
In system development, building a model suitable for evaluation
of system design, performance and production potential.

%C,14%PUBLIC
A public member of a class is accessible to all functions.

%C,14%PUBLIC INHERITANCE
occurs when a class is derived from another class, and the
access level specified for the base class in the definition of
the derived class is public.

%C,14%PURE VIRTUAL FUNCTION
A virtual function is declared pure by replacing the function
definition with  =0;.  See also %F,15,GLOSS.A#abstr%abstract_class%C,5%.

%F,15,GLOSS.O%Previous / %F,15,GLOSS.Q%Next
%F,15,GLOSS.A%A  %F,15,GLOSS.B%B  %F,15,GLOSS.C%C  %F,15,GLOSS.D%D  %F,15,GLOSS.E%E  %F,15,GLOSS.F%F  %F,15,GLOSS.G%G  %F,15,GLOSS.H%H  %F,15,GLOSS.I%I  %F,15,GLOSS.K%K  %F,15,GLOSS.L%L  %F,15,GLOSS.M%M
%F,15,GLOSS.N%N  %F,15,GLOSS.O%O  %F,15,GLOSS.P%P  %F,15,GLOSS.Q%Q  %F,15,GLOSS.R%R  %F,15,GLOSS.S%S  %F,15,GLOSS.T%T  %F,15,GLOSS.U%U  %F,15,GLOSS.V%V  %F,15,GLOSS.W%W  %F,15,GLOSS.Z%Z
