
%F,15,GLOSS.A%A  %F,15,GLOSS.B%B  %F,15,GLOSS.C%C  %F,15,GLOSS.D%D  %F,15,GLOSS.E%E  %F,15,GLOSS.F%F  %F,15,GLOSS.G%G  %F,15,GLOSS.H%H  %F,15,GLOSS.I%I  %F,15,GLOSS.K%K  %F,15,GLOSS.L%L  %F,15,GLOSS.M%M                    %C,1%GLOSSARY
%F,15,GLOSS.N%N  %F,15,GLOSS.O%O  %F,15,GLOSS.P%P  %F,15,GLOSS.Q%Q  %F,15,GLOSS.R%R  %F,15,GLOSS.S%S  %F,15,GLOSS.T%T  %F,15,GLOSS.U%U  %F,15,GLOSS.V%V  %F,15,GLOSS.W%W  %F,15,GLOSS.Z%Z                              %C,1%S
%F,15,GLOSS.R%Previous / %F,15,GLOSS.T%Next
%#scalar%
%C,14%SCALAR
An arithmetic object, or a pointer, or a reference to an object of
any type.
%#scope%
%C,14%SCOPE
That part of a source program in which a variable is visible.
%#scopeop%
%C,14%SCOPE OPERATOR ::
Defines the scope for the right operand.  If the left operand is
blank, the scope is global.  If the left operand is a class name,
then the scope is within that class.  This operator is also called
the scope resolution operator.

%C,14%SIGNAL HANDLER
A function to which control is passed in response to an
asynchronous or external event, for example when the user
presses the interrupt key.

%C,14%SIGNATURE
See %F,15,GLOSS.F#funcs%function_signature%C,5%.
%#single%
%C,14%SINGLE PRECISION
The use of one computer word to represent a number.  Greater
precision is sometimes provided by %F,15,GLOSS.D#double%double_precision%C,5%.

%C,14%SOURCE PROGRAM
A set of instructions written in a programming language that must
be translated to machine language before the program can be run.

%C,14%SPECIFIERS
Used in declarations to indicate storage class, fundamental data
type and other properties of the object or function being declared.

%C,14%STATEMENT
An instruction that ends with a semicolon, ;, or one or more
instructions enclosed in braces, {}.

%C,14%STATIC BINDING
Binding that occurs at compilation time based on the resolution of
overloaded functions.

%C,14%STATIC OBJECT
An object declared with the %F,15,GLOSS.S#storclsp%storage_class_specifier static.  A
static member of a class is common to objects of that class.  A
static object declared in a function is persistent to all
invocations of that function.  A static object declared outside a
block of code has file scope, in that it may not be
declared as extern from another file.
%#storclsp%
%C,14%STORAGE CLASS SPECIFIER
One of:  auto, register, static, or extern.

%C,14%STREAM
A sequence of characters that is manipulated for input and output.

%C,14%STREAM BUFFER
A temporary repository of data that is going from the
%F,15,GLOSS.U#ultpro%ultimate_producer to the stream, or from the stream to the
%F,15,GLOSS.U#ultcom%ultimate_consumer%C,5%.  Every stream is attached to a stream buffer.

%C,14%STREAM BUFFER CLASSES
The classes in the I/O Stream Library that Implement the concept
of stream buffers.   These classes are streambuf and its derived
classes strstreambuf, stdiobuf, and filebuf.

%C,14%STREAM CLASSES
Classes in the I/O Stream Library that implement the concept of
streams.  These classes are derived directly or indirectly from the
ios class, and they have names that end in "stream".  For example,
istream, fstream, and strstream are all stream classes.

%C,14%STRING LITERAL
Zero or more characters enclosed in double quotation marks.

%C,14%STRUCTURE
A class data type that contains an ordered group of data objects
and member functions.  Unlike an array, the data objects within a
structure can have varied data types.  A structure can be used in
all places a class is used.  The initial protection is public.

%C,14%STRUCTURE TAG
The identifier that names a structure data type.

%C,14%SUBSCRIPT
One or more expressions, each enclosed in brackets, that follow an
array name.  A subscript refers to an element in an array.

%C,14%SWITCH EXPRESSION
The controlling expression of a switch statement.
%#switch%
%C,14%SWITCH STATEMENT
A C++ language statement that causes control to be transferred to
one of several statements depending on the value of an expression.

%C,14%SYNTAX
The rules for the construction of a command, statement, or program.

%C,14%SYSTEM
The computer and its associated devices and programs.

%F,15,GLOSS.R%Previous / %F,15,GLOSS.T%Next
%F,15,GLOSS.A%A  %F,15,GLOSS.B%B  %F,15,GLOSS.C%C  %F,15,GLOSS.D%D  %F,15,GLOSS.E%E  %F,15,GLOSS.F%F  %F,15,GLOSS.G%G  %F,15,GLOSS.H%H  %F,15,GLOSS.I%I  %F,15,GLOSS.K%K  %F,15,GLOSS.L%L  %F,15,GLOSS.M%M
%F,15,GLOSS.N%N  %F,15,GLOSS.O%O  %F,15,GLOSS.P%P  %F,15,GLOSS.Q%Q  %F,15,GLOSS.R%R  %F,15,GLOSS.S%S  %F,15,GLOSS.T%T  %F,15,GLOSS.U%U  %F,15,GLOSS.V%V  %F,15,GLOSS.W%W  %F,15,GLOSS.Z%Z
